Subject: Bug#1002056: [Summary]: Supporting alternative zlib implementations

From: Chris Hofstaedtler <[email-masked]>
Date: Sat, 23 Nov 2024 20:56:46 +0100

* Fay Stegerman <[email-masked]> [241123 19:58]:
> I agree that it *should not* be Debian's responsibility to ensure compatibility
> with Fedora/Windows/etc., but the reality is that if "you need the same tools to
> generate the same output" -- which right now means using the same JDK and
> Android toolchain but in 99% of cases doesn't require using the same OS since
> everyone, including Google [2], standardised on zlib -- becomes "you cannot
> reproduce APKs built on a OS other than Debian on Debian", that's not just
> "annoying for the involved parties": it will effectively break the ability to
> verify reproducibility of many Android apps.

Sorry, but what exactly are you saying here? That Debian should be
bound by the decision of a BigTech Corporate and by thousands of
individual Android developers, neither of which might be interested
in Debian?

To maybe make the argument the other way 'round: if Google switches
to zlib-ng tomorrow, should Debian be required to switch to zlib-ng?

I just don't see that's how it works.

Chris